## debian-edu-config 2.10.34

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = \
	debian-edu-ldapserver \
	update-ini-file

SPROGS = debian-edu-fsautoresize \
	debian-edu-ltsp \
	debian-edu-pxeinstall \
	debian-edu-restart-services \
	debian-edu-test-install \
	debian-edu-update-netblock \
	update-hostname-from-ip

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cf3dir     = $(sysconfdir)/cfengine3/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
ldapdir    = $(sysconfdir)/ldap
slbackupphpdir = $(sysconfdir)/slbackup-php
schemadir  = $(ldapdir)/schema
dhcpdir   = $(sysconfdir)/dhcp
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var
wwwdir     = /etc/debian-edu/www


CF3FILES = \
	cf.adduser \
	cf.apache2 \
	cf.cups \
	cf.desktop-networked \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.firefox-esr \
	cf.finalize \
	cf.grub \
	cf.chromium \
	cf.inetd \
	cf.krb5client \
	cf.ldapserver \
	cf.ldapclient \
	cf.ldapscripts \
	cf.bind \
	cf.pxeinstall \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.sshd \
	cf.syslog \
	cf.tftpd \
	cf.xrdp \
	edu.cf \
	promises.cf

# Files to install in /etc/
SYSCONFFILES = \
	apt/apt.conf.d/90squid \
	apt/apt.conf.d/99-edu-prefer-firefox \
	bind/named.conf.ldap2zone \
	bind/db.intern \
	bind/db.10.in-addr.arpa. \
	bind/db.subnet00.intern \
	bind/db.subnet01.intern \
	bind/db.0.168.192.in-addr.arpa. \
	bind/db.1.168.192.in-addr.arpa. \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/06debian-edu-firefox-ltsp \
	X11/Xsession.d/09debian-edu-missing-home \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	debian-edu/nightkill.conf \
	debian-edu/pxeinstall.conf \
	default/munin-node \
	default/ldap2zone \
	chromium/policies/managed/chromium-networked-prefs \
	cups/cupsd-debian-edu.conf \
	cups/cups-files-debian-edu.conf \
	dhcp/dhclient-exit-hooks.d/autofs-reload \
	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
	dhcp/dhclient-exit-hooks.d/hostname \
	dhcp/dhcpd-debian-edu.conf \
	dhcp/dhclient-debian-edu.conf \
	dovecot/local.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	firefox-esr/debian-edu.js \
	php/apache2/php-debian-edu.ini \
	insserv/overrides/ntp \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-squeeze_debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	samba/netlogon/1stlogon/1stlogon.bat \
	samba/netlogon/config/get_time.bat \
	samba/netlogon/config/penguin.bat \
	samba/netlogon/config/setglobals.bat \
	samba/netlogon/config/standarddrives-students.bat \
	samba/netlogon/config/standarddrives-teachers.bat \
	samba/netlogon/debian-edu-login.bat \
	samba/netlogon/_default_/default.bat \
	samba/netlogon/install/shortcut.vbs \
	samba/netlogon/logon-admins.bat \
	samba/netlogon/logon-jradmins.bat \
	samba/netlogon/logon-students.bat \
	samba/netlogon/logon-teachers.bat \
	samba/netlogon/mozilla/firefox/prefs.js \
	samba/netlogon/mozilla/mkmozapd.bat \
	samba/netlogon/mozilla/profiles.ini.FIREFOX \
	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
	samba/smb-debian-edu.conf \
	samba/samba-domain-policy.ldif \
	slbackup-php/config.php \
	smbldap-tools/smbldap_bind.conf \
	smbldap-tools/smbldap.conf \
	sssd/sssd-debian-edu.conf \
	xdg/autostart/welcome-webpage.desktop \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default.conf \
	apache2/sites-available/debian-edu-ssl-default.conf \
	apache2/conf-available/debian-edu-config-doc.conf \
	apache2/include/debian-edu-ldapauth.inc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf \
	polkit-1/localauthority.conf.d/80-edu-admin.conf \
	nbd-server/conf.d/debian-edu.conf

LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	ltspfs/mounter.d/edu-notify \
	mklocaluser.d/20-debian-edu-config \
	NetworkManager/dispatcher.d/02debian-edu-config \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	resolvconf/update.d/ltsp-chroots \
	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
	X11/Xsession-debian-edu \
	samba/smbaddclient.sh

SCHEMAS = \
	samba.schema \
	dhcp.schema \
	dnsdomainaux.schema \
	ltspclientaux.schema \
	eduorg-200210-openldap.schema \
	eduperson-200806-openldap.schema \
	kerberos.schema \
	noreduperson-1.5-openldap.schema \
	samba3.schema \
	sudo.schema \
	trust.schema \
	gosystem.schema \
	gofon.schema \
	goto.schema \
	gosa-samba3.schema \
	gofax.schema \
	goserver.schema \
	goto-mime.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	firstuser.ldif \
	ipnetworks.ldif \
	netgroup.ldif \
	samba.ldif \
	sudo.ldif \
	krb5.ldif \
	ltsp.ldif \
	gosa.ldif \
	gosa-server.ldif

LDAPPROGRAMS = \
	ldap-add-host-to-netgroup \
	ldap-add-user-to-group \
	ldap-createuser-krb5 \
	ldap2netgroup \
	ldap-debian-edu-install \
	mkslapdcert \
	sitesummary2ldapdhcp

WWWFILES = \
	index.html.ca \
	index.html.da \
	index.html.de \
	index.html.en \
	index.html.es_ES \
	index.html.fr \
	index.html.id \
	index.html.it \
	index.html.ja \
	index.html.no_NB \
	index.html.nl \
	index.html.pt \
	index.html.pt_BR \
	index.html.ro \
	index.html.ru \
	index.html.zh \
	skl-ren_css.css \
	logo-trans.png \
	wpad.dat

all:
	$(MAKE) -C www

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcpdir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$prog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

	set -e ; for cf3 in $(CF3FILES); do \
		$(INSTALL_DATA) cf3/$$cf3 $(DESTDIR)$(cf3dir)/$$cf3; \
	done

	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in \
		share/debian-edu-config/d-i/finish-install \
		share/debian-edu-config/d-i/pre-pkgsel \
		share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/create-debian-edu-certs \
		share/debian-edu-config/tools/cups-queue-autoflush \
		share/debian-edu-config/tools/cups-queue-autoreenable \
		share/debian-edu-config/tools/setup-cfengine3 \
		share/debian-edu-config/tools/debian-edu-bless \
		share/debian-edu-config/tools/get-default-homepage \
		share/debian-edu-config/tools/gosa-create \
		share/debian-edu-config/tools/gosa-create-host \
		share/debian-edu-config/tools/gosa-modify-host \
		share/debian-edu-config/tools/gosa-remove-host \
		share/debian-edu-config/tools/gosa-lock-user \
		share/debian-edu-config/tools/gosa-remove \
		share/debian-edu-config/tools/gosa-sync \
		share/debian-edu-config/tools/gosa-sync-dns-nfs \
		share/debian-edu-config/tools/gosa-unlock-user \
		share/debian-edu-config/tools/firefox-plugin-support \
		share/debian-edu-config/tools/kerberos-kdc-init \
		share/debian-edu-config/tools/ldap2bind-updatezonelist \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/ldappasswd2 \
		share/debian-edu-config/tools/locate-syslog-collector \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ltsp-addfirmware \
		share/debian-edu-config/tools/ltsp-update-resolvconf \
		share/debian-edu-config/tools/missing-desktop-file \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nbdquery \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/notify-local-users \
		share/debian-edu-config/tools/package-disk-usage \
		share/debian-edu-config/tools/password-fix-squeeze-r0 \
		share/debian-edu-config/tools/pipegraph \
		share/debian-edu-config/tools/preseed-ldap-kerberos \
		share/debian-edu-config/tools/preseed-sitesummary \
		share/debian-edu-config/tools/pxe-addfirmware \
		share/debian-edu-config/tools/run-at-firstboot \
		share/debian-edu-config/tools/setup-ad-client \
		share/debian-edu-config/tools/setup-roaming \
		share/debian-edu-config/tools/show-welcome-webpage \
		share/debian-edu-config/tools/sssd-generate-config \
		share/debian-edu-config/tools/squid-update-cachedir \
		share/debian-edu-config/tools/subnet-change \
		share/debian-edu-config/tools/update-cert-dbs \
		share/debian-edu-config/tools/update-firefox-homepage \
		share/debian-edu-config/tools/update-chromium-homepage \
		share/debian-edu-config/tools/update-proxy-from-wpad \
		share/debian-edu-config/tools/wpad-extract \
		share/debian-edu-config/tools/ldap-server-getcert \
		share/debian-edu-config/tools/exim4-create-environment \
		share/debian-edu-config/tools/edu-ldap-from-scratch \
		share/debian-edu-config/ltspfs-mounter-kde \
		share/ltsp/get-ldap-ltsp-config \
		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in \
		share/ltsp/init-ltsp.d/08-edu-hostname \
		share/ltsp/init-ltsp.d/09-edu-ldap-config \
		share/ltsp/init-ltsp.d/60-edu-client \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/001-ltsp-settings \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/011-http-nopipeline \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/098-etckeeper \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab

	set -e ; for f in \
		share/debian-edu-config/rsyslog-collector \
		share/debian-edu-config/firefox-networked-prefs.js \
		share/debian-edu-config/squid.conf \
		share/debian-edu-config/ssl.cnf \
		share/debian-edu-config/sslCA.cnf \
		share/debian-edu-config/v3.cnf \
		share/debian-edu-config/v3CA.cnf \

=== debian/changelog ===
debian-edu-config (2.10.34) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add new cfengine file cf3/cf.tftpd; the '--secure' option (tftpd-hpa) needs
     to be disabled to provide both PXE menu and LTSP. (tftpd-hpa is now used
     instead of atftpd to match the ltsp-server package recommends).
  * Adjust cf3/promises.cf to enable the tftpd configuration file.
  * Adjust Makefile to reflect cfengine changes.
  * testsuite/network: fix log message (nmap path).
  * testsuite/webserver: Drop etc/skel test; the test is obsolete, now that the
    firefox ini file is no longer generated.

  [ Holger Levsen ]
  * Bump standards version to 4.2.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 12 Aug 2018 14:57:04 +0200

debian-edu-config (2.10.33) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postrm:
    - Fix cfengine3 related cleanup code (remove and purge cases).

 -- Holger Levsen <holger@debian.org>  Fri, 27 Jul 2018 10:57:35 +0800

debian-edu-config (2.10.32) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postrm:
    - Move cfengine3 related cleanup code from remove to purge case.
      Thanks to Andreas Beckmann. (Closes: #904516).

 -- Holger Levsen <holger@debian.org>  Wed, 25 Jul 2018 10:01:51 +0000

debian-edu-config (2.10.31) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/control: Remove unneeded Suggests: atftpd | tftpd-hpa.
  * ltsp/init-ltsp.d/60-edu-client: Disable desktop-autoloader for thin clients.
    The desktop-autoloader needs site specific configuration (and activation);
    this code makes sure to only run it on diskless workstations.
    (Closes: #895020).

 -- Holger Levsen <holger@debian.org>  Wed, 18 Jul 2018 18:42:47 +0000

debian-edu-config (2.10.30) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Drop unused etc/samba/smb-debian-edu-client.conf file; content is wrong
    anyway. Also, tools/setup-ad-client generates a proper smb.conf on the fly.
  * d/control: Use dependency order tftp-hpa | tftp to avoid possible conflicts.

  [ Holger Levsen ]
  * Bump standards version to 4.1.5, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 11 Jul 2018 16:38:57 +0000

debian-edu-config (2.10.29) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Generate NetBIOS compliant hostname; this allows one to keep the hostname
    in case the MATE desktop is configured to use file sharing via Samba.
    Same applies if a roaming workstation is configured to connect to an
    active directory DC (via tools/setup-ad-client).
    Instead of e.g. 'auto-mac-11-22-33-44-55-66', now 'am-112233445566' is
    generated. (Closes: #900629).

 -- Holger Levsen <holger@debian.org>  Fri, 06 Jul 2018 12:40:08 +0000

debian-edu-config (2.10.28) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve kerberized NFS:
    - Adjust share/debian-edu-config/tools/gosa-create-host:
       + Fix code to also generate Kerberos Principals for systems of type
         netdevices.
       + Use /etc/debian-edu/host-keytabs/ as $fqdn.keytab file location.
    - Add new script share/debian-edu-config/tools/gosa-remove-host:
       + Remove principals and host keytab.
    - Add new script share/debian-edu-config/tools/gosa-modify-host:
       + This is needed to generate principals and host keytab also for hosts
         added via sitesummary2ldapdhcp.
    - ldap-bootstrap/sudo.ldif:
       + Add 'gosa-remove-host' command.
       + Add 'gosa-modify-host' command.
    - share/debian-edu-config/gosa.conf.template: Adjust postremove and
      postmodify hooks.
  * Adjust share/debian-edu-config/tools/edu-ldap-from-scratch:
     - Remove host keytab files, too.
  * Add new Cfengine configuration file cf3/cf.sshd:
     - Adjust /etc/ssh/sshd_config to allow kerberized ssh. (The ssh client
       config allows this by default.)
  * cf3/cf.finalize: Fix typo.
  * Adjust Makefile and cf3/promises.cf file.

  [ Holger Levsen ]
  * d/control: Update Vcs: headers to point to salsa.debian.org.

 -- Holger Levsen <holger@debian.org>  Wed, 30 May 2018 12:26:44 +0000

debian-edu-config (2.10.27) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/d-i/pre-pkgsel:
     - Leave network configuration to NetworkManager also on workstations.
       This should ensure that NetworkManager.wait-online.service works like
       expected. Thanks to Mike Gabriel. (Closes: #887861)
  * cf3/cf.finalize: Move shell command for networked desktops into own file
    cf3/cf.desktop-networked.
  * cf3/promises.cf: Include cf.desktop-networked at an early execution stage.
  * Prepare kerberized NFS for systems of type servers, workstations, terminals:
    - Adjust share/debian-edu-config/tools/gosa-create-host
      + Add code to generate host/$fqdn and nfs/$fqdn Kerberos Principals.
      + Add code to generate /etc/$fqdn.keytab file.
    - ldap-bootstrap/sudo.ldif: Add 'gosa-create-host' command.
    - share/debian-edu-config/gosa.conf.template: Adjust postcreate hooks.

  [ Mike Gabriel ]
  * ldap-schemas/kerberos.schema: Update from krb5-kdc-ldap 1.16-1.

 -- Holger Levsen <holger@debian.org>  Fri, 25 May 2018 17:25:18 +0000

debian-edu-config (2.10.26) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Prepare for a modular installation scenario (updated d-e-task files from
    src:debian-edu 2.10.23 needed).
    - cf3/edu.cf: Add class desktopintern.
      This class matches a stationary workstation with the meta-package
      education-desktop-other installed.
    - cf3/cf.finalize: Add shell command for class desktopintern.
      This allows one to install some packages suited only for networked
      machines in addition to those installed via the education-desktop-other
      meta-package for all workstations.
    With these changes it would be possible to uncouple services infrastructure
    setup (including LTSP) and desktop setup by removing the 'desktop=xxxx'


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Holger Levsen <holger@debian.org>,
           Mike Gabriel <sunweaver@debian.org>,
           Wolfgang Schweer <wschweer@arcor.de>,
Standards-Version: 4.2.0
Rules-Requires-Root: no
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: po-debconf,
                     po4a,
                     help2man,
                     libfilesys-df-perl
Homepage: http://www.skolelinux.org
Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-config
Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-config

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends},
         lsb-base (>= 3.0-6),
         bind9-host,
         cfengine3,
         debconf-utils,
         debian-edu-artwork,
         desktop-profiles,
         e2fsprogs,
         education-tasks,
         fping,
         isenkram-cli,
         ldap-utils,
         ldapscripts,
         libconfig-inifiles-perl,
         libfilesys-df-perl,
         libhtml-fromtext-perl,
         libio-socket-ssl-perl,
         libnet-ldap-perl,
         libnet-netmask-perl,
         libnss3-tools,
         libpacparser1,
         libpam-python,
         libproxy1-plugin-kconfig,
         libproxy1-plugin-webkit,
         libproxy1-plugin-networkmanager,
         libterm-readkey-perl,
         libtext-unaccent-perl,
         lockfile-progs,
         lsb-release,
         mime-support,
         net-tools,
         netcat,
         ng-utils,
         openssl,
         patch,
         python,
         python-notify,
         ssl-cert,
         swaks,
         tftp-hpa | tftp,
         uuid,
Recommends: binutils,
            libnotify-bin,
            lsof,
            memtest86+,
            resolvconf,
            syslinux
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/debian-edu-config

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)

override_dh_installinit:
	# Start it after 15bind9 and 19slapd
	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
	dh_installinit --init-script firefox-ldapconf -r --no-start -u"start 96 2 3 4 5 ."
	dh_installinit --init-script chromium-ldapconf -r --no-start -u"start 97 2 3 4 5 ."
	dh_installinit --init-script enable-nat --no-start

override_dh_installman:
	dh_installman
	help2man -s 8 -N -n "debian-edu-fsautofssize - automatically resize filesystems" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/sbin/debian-edu-fsautoresize \
		> debian/debian-edu-config/usr/share/man/man8/debian-edu-fsautoresize.8
	help2man -N -n "ldap-add-host-to-netgroup - Adds a host as a member in the given netgroup" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-add-host-to-netgroup \
		> debian/debian-edu-config/usr/share/man/man1/ldap-add-host-to-netgroup.1
	help2man -N -n "ldap-add-user-to-group - Adds a user as a member in the given group" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-add-user-to-group \
		> debian/debian-edu-config/usr/share/man/man1/ldap-add-user-to-group.1
	help2man -N -n "ldap-createuser-krb5 - Create a user and configure its kerberos principal" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-createuser-krb5 \
		> debian/debian-edu-config/usr/share/man/man1/ldap-createuser-krb5.1

override_dh_gconf:
	dh_gconf  --priority=50

## debian-edu-config 2.10.35

=== debian/changelog ===
debian-edu-config (2.10.35) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * share/debian-edu-config/firefox-networked-prefs.js: adjust deprecated
    lockPref entry. lockPref will no longer be supported after version 67.

  [ Holger Levsen ]
  * Bump standards version to 4.2.1, no changes needed.
  * Remove empty line at the end of d/rules, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Mon, 10 Sep 2018 12:53:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -37,4 +37,3 @@
 
 override_dh_gconf:
 	dh_gconf  --priority=50
-

## debian-edu-config 2.10.37

=== debian/changelog ===
debian-edu-config (2.10.37) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix squid configuration now that systemd support has been added to squid
    and /etc/default/squid isn't used anymore:
    - cf3/cf.squid: Link our configuration as /etc/squid/squid.conf, adjust
      the squid-update-cachedir call.
    - share/debian-edu-config/tools/squid-update-cachedir: Stop sourcing
      /etc/default/squid, adjust the code to be systemd compliant.
  * www/index.html.*: Use relative links whenever possible. (Closes: #906467).
  * cf3/cf.desktop-networked: Replace 'apt' with 'apt-get' in shell command.
  * Drop etc/apt/apt.conf.d/90squid:
    - The workaround is obsolete, the related bug has been fixed in 2015.
    - Adjust d/debian-edu-config.maintscript and Makefile.

 -- Holger Levsen <holger@debian.org>  Sun, 23 Sep 2018 10:41:09 +0200

debian-edu-config (2.10.36) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/{rules,gconf-defaults}: stop using dh_gconf. Simply remove gconf
    stuff entirely. (Closes: #908880).

 -- Holger Levsen <holger@debian.org>  Mon, 17 Sep 2018 16:38:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
            Wolfgang Schweer <wschweer@arcor.de>,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: po-debconf,

## debian-edu-config 2.10.38

=== debian/changelog ===
debian-edu-config (2.10.38) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/run-at-firstboot:
    - Remove obsolete LTSP related workaround.
    - Drop no longer needed Squid setup related fix.
    - Replace nagios3 with icinga.
  * sbin/debian-edu-ltsp:
    - Remove obsolete workaround.
    - Adjust code now that the LTSP chroot arch matches the server arch.

 -- Holger Levsen <holger@debian.org>  Fri, 28 Sep 2018 23:37:21 +0200

## debian-edu-config 2.10.40

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,6 @@
 
 # Files to install in /etc/
 SYSCONFFILES = \
-	apt/apt.conf.d/90squid \
 	apt/apt.conf.d/99-edu-prefer-firefox \
 	bind/named.conf.ldap2zone \
 	bind/db.intern \
@@ -375,3 +374,4 @@
 		share/debian-edu-config/sslCA.cnf \
 		share/debian-edu-config/v3.cnf \
 		share/debian-edu-config/v3CA.cnf \
+		share/debian-edu-config/profiles.ini \

=== debian/changelog ===
debian-edu-config (2.10.40) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * ldap-tools/sitesummary2ldapdhcp: Use 'workstations' as default system type.
    Change the default type from 'netdevices' to 'workstations' to avoid a
    possible pitfall. (For hosts of type 'netdevices' Krb5 principals and a
    related keytabfile can't be created due to missing attributes.)
    Also, 'workstations' is supposed to be the wanted type in most cases.
  * share/debian-edu-config/tools/gosa-modify-host: Improve logging text.
  * share/debian-edu-config/tools/gosa-remove-host: Add logging statement.

 -- Holger Levsen <holger@debian.org>  Wed, 10 Oct 2018 18:06:10 +0100

debian-edu-config (2.10.39) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * ldap-tools/mkslapdcert: Remove obsolete (random-seed related) workaround.
  * cf3/edu.cf: Add class definition for profile 'Minimal'.
  * cf3/cf.grub: Adjust configuration for systems with profile 'Minimal'. Keep
    legacy interface names to ensure easier configuration as a gateway; don't
    run 'plymouth-set-default-theme', plymouth isn't used on a minimal system.
  * Improve scripts needed for kerberized NFS. (Closes: #649854, #649856).
    - share/debian-edu-config/tools/gosa-remove-host:
      + Make host principals and keytab file removal conditional; this is needed
        in case a system accidentally added via sitesummary2ldapdhcp is removed
        without any modification applied.
    - share/debian-edu-config/tools/gosa-modify-host:
      + Also create nfs principal for the modified host.
      + Remove leftover principals and keytab file belonging to modified host.
      + Add logging statement.

 -- Holger Levsen <holger@debian.org>  Thu, 04 Oct 2018 10:51:01 +0100

## debian-edu-config 2.10.43

=== debian/changelog ===
debian-edu-config (2.10.43) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add etc/network/if-up.d/{hostname,wpad-proxy-update}. (Closes: #780461)
    These scripts make sure that hostname and wpad.dat changes take effect
    immediately after reboot. The existing dhclient-exit hook scripts are only
    executed in the case of DHCP lease renewals which happen in intervals of
    random length (between 600 and 900 seconds).
  * Adjust Makefile and debian/dirs to reflect the changes.
  * Adjust share/ltsp/init-ltsp.d/60-edu-client:
    - Ensure /etc/environment is set correctly on diskless workstations.
  * debian/debian-edu-config.enable-nat:
    - Adjust path to iptables binary (/sbin -> /usr/sbin). While Buster still
      ships symlinks, those are planned to be removed in Bullseye.
  * Fix incomplete sentence in previous changelog entry.

 -- Holger Levsen <holger@debian.org>  Thu, 01 Nov 2018 12:26:21 +0100

debian-edu-config (2.10.42) unstable; urgency=medium

  [ Mike Gabriel ]
  * update-chromium-homepage:
    - Don't complain about non-existing config file when attempting its removal.
    - Don't statically set http://www as homepage, use detected homepage
      instead. (Closes: #911790)
  * update-firefox-homepage:
    - Don't complain about non-existing config file when attempting its
      removal.

  [ Wolfgang Schweer ]
  * Improve cfengine configuration file management during upgrades:
    - Adjust debian/debian-edu-config.postinst to copy related files.
    - Add cf-agent related entries to debian/cron.d, but leave them commented.
  * Use NFS again (instead of NBD) to mount the LTSP client root filesystem:
    - Add share/ltsp/plugins/ltsp-build-client/Debian-custom/095-squashfs-image
      to enable setting it; see #904427 (LTSP) why this is needed.
    - Add etc/ltsp/ltsp-build-client.conf with settings for NFS.
    - Adjust sbin/debian-edu-pxeinstall and etc/debian-edu/pxeinstall.conf
      accordingly to be able to use NFS on the main network as well.
    - Rework cf3/cf.homes:
      + Write /etc/export file with profile and architecture dependent values.
      + Drop no longer needed nfs-{common,kernel-server} configuration edits.
  * Improve PXE installation setup:
    - Rework sbin/debian-edu-pxeinstall (make modular installation desktop,
      d-i download URL and installer type configurable).
    - Adjust etc/debian-edu/pxeinstall.conf accordingly.
  * share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection:
    - Use /etc/debian_version to determine the DIST value; this is needed as a
      workaround for #911382 (LTSP).
    - Drop no longer needed code (related to mirror and proxy setup).
  * share/debian-edu-config/tools/edu-ldap-from-scratch:
    - Don't fail in case host keytab files are missing.
  * Adjust Makefile and debian/dirs to reflect the changes.

  [ Holger Levsen ]
  * update-chromium-homepage: Drop mkdir for target dir of $etcfile as its
    created via debian/dirs.
  * update-firefox-homepage: Drop mkdir for target dir of $etcfile as its
    created via debian/dirs.
  * debian/dirs: Add /etc/chromium/policies/managed.

 -- Holger Levsen <holger@debian.org>  Fri, 26 Oct 2018 17:15:13 +0200

debian-edu-config (2.10.41) unstable; urgency=medium

  [ Mike Gabriel ]
  * etc/apache2/mods-available/debian-edu-userdir.conf: Make config
    snippet more generic, let it work on all hosts on the Debian Edu
    network by default.

  [ Holger Levsen ]
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Holger Levsen <holger@debian.org>  Wed, 24 Oct 2018 15:50:15 +0200

## debian-edu-config 2.10.44

=== Makefile ===
--- 
+++ 
@@ -100,6 +100,9 @@
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-squeeze_debian-edu.conf \
 	ldap/ssl/slapd-cert.cnf \
+	ltsp/ltsp-build-client.conf \
+	network/if-up.d/hostname \
+	network/if-up.d/wpad-proxy-update \
 	samba/netlogon/1stlogon/1stlogon.bat \
 	samba/netlogon/config/get_time.bat \
 	samba/netlogon/config/penguin.bat \
@@ -359,6 +362,7 @@
  share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/095-squashfs-image \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/098-etckeeper \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
@@ -371,7 +375,3 @@
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
 		share/debian-edu-config/ssl.cnf \
-		share/debian-edu-config/sslCA.cnf \
-		share/debian-edu-config/v3.cnf \
-		share/debian-edu-config/v3CA.cnf \
-		share/debian-edu-config/profiles.ini \

=== debian/changelog ===
debian-edu-config (2.10.44) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework squid configuration now that custom configuration files can be put
    into the /etc/squid/conf.d/ directory.
    - share/debian-edu-config/squid.conf:
      + Ship only Debian Edu specific options.
    - cf3/cf.squid:
      + Link the Debian Edu specific squid.conf file as additional
        configuration /etc/squid/conf.d/debian-edu.conf.
    - share/debian-edu-config/tools/squid-update-cachedir:
      + Use Debian Edu specific add-on configuration file.
      + Add additional logging statement.
    - share/debian-edu-config/tools/run-at-firstboot:
      + Adjust to use the new file location.
  *  d/debian-edu-config.lintian-overrides:
     - Add script-not-executable entries for etc/network/if-up.d/hostname and
       etc/network/if-up.d/wpad-proxy-update

 -- Holger Levsen <holger@debian.org>  Tue, 06 Nov 2018 14:43:30 +0100

## debian-edu-config 2.10.45

=== debian/changelog ===
debian-edu-config (2.10.45) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * sbin/debian-edu-pxeinstall:
    - Add code to enable the replacement of the stock Debian Installer logo with
      the Debian Edu one in case the graphical installer has been chosen.
    - Drop test builds related leftover cruft.
  * share/debian-edu-config/tools/debian-edu-bless:
    - Switch TESTINSTALL variable setting as test distributions are gone since
      years, but a status report might still be useful; reword related comment.
  * testsuite/doc:
    - Use secure URL for wiki.debian.org.
    - Adjust the FIXME: count code to report a proper number.
  * debian/debian-edu-config.postinst
    - Drop wpad-proxy-update (via ifup) for the main server.

 -- Holger Levsen <holger@debian.org>  Tue, 13 Nov 2018 14:26:04 +0100

## debian-edu-config 2.10.47

=== debian/changelog ===
debian-edu-config (2.10.47) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix debian/debian-edu-config.postinst to avoid failing upon upgrades:
    - Make wpad-proxy-update related code conditional.
    - Don't complain about non-existing wpad-proxy-update file.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Nov 2018 12:48:05 +0100

debian-edu-config (2.10.46) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Workaround for mounting removable media on diskless workstations, see LDM
    bug #913774. Due to missing session registering with wtemp and utemp, media
    mounting gets denied.
    - Add share/debian-edu-config/udisks2.patch.
    - Use code in share/ltsp/init-ltsp.d/60-edu-client to apply the patch (this
      happens only on-the-fly for each session in the overlay filesystem).
  * Adjust Makefile.
  * Install task 'standard' (system utilities) inside the LTSP chroot. It should
    ensure the installation is put on top of a stock Debian system with nothing
    missing.
  * Switch back to NDB as default for the LTSP root filesystem as the
    performance in real world deployments seems to be better.
    Using NFS can be configured in /etc/ltsp/ltsp-build-client.conf; this might
    come in handy during development and testing.
  * Improve handling of Debian packages. (Closes: #913886).
    - share/debian-edu-config/squid.conf: Add settings proposed by Mike Gabriel.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Nov 2018 11:45:23 +0100

debian-edu-config (1.426) uns

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Wolfgang Schweer <wschweer@arcor.de>,
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 11)
 Build-Depends-Indep: po-debconf,
                      po4a,
                      help2man,

## debian-edu-config 2.10.48

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	cf.sshd \
 	cf.syslog \
 	cf.tftpd \
+	cf.workarounds \
 	cf.xrdp \
 	edu.cf \
 	promises.cf
@@ -341,6 +342,7 @@
 		share/debian-edu-config/tools/exim4-create-environment \
 		share/debian-edu-config/tools/edu-ldap-from-scratch \
 		share/debian-edu-config/ltspfs-mounter-kde \
+		share/debian-edu-config/squid.resolvconf \
 		share/ltsp/get-ldap-ltsp-config \
 		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
 	; do \
@@ -373,5 +375,3 @@
 	set -e ; for f in \
 		share/debian-edu-config/rsyslog-collector \
 		share/debian-edu-config/firefox-networked-prefs.js \
-		share/debian-edu-config/squid.conf \
-		share/debian-edu-config/ssl.cnf \

=== debian/changelog ===
debian-edu-config (2.10.48) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Work around some bugs (squid, XFCE, LXQt):
    - Add cf3/cf.workarounds.
    - Add related variable definitions to cf3/edu.cf to be able to conditionally
      apply the workarounds.
    - Adjust cf3/promises.cf to reflect the changes.
    - Add share/debian-edu-config/{squid.resolvconf,edu-xfce4-panel.xml}.
    - Adjust Makefile.
  * Adjust cf3/cf.grub to show the proper plymouth theme.

 -- Holger Levsen <holger@debian.org>  Fri, 23 Nov 2018 16:03:10 +0100

## debian-edu-config 2.10.49

=== debian/changelog ===
debian-edu-config (2.10.49) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add share/debian-edu-config/tools/copy-host-keytab:
    - Kerberos host key management made easy.
  * Add share/debian-edu-config/tools/create-user-nssdb:
    - User account certificate management upon upgrade from Stretch.
  * Add share/debian-edu-config/55xfce4-session-debian-edu:
    - This file has previously been shipped by the 'debian-edu-artwork' package.
      Moved to d-e-c because it's configuration, not artwork related.
  * Adjust cf3/cf.workarounds and Makefile to reflect the changes.
  * d/debian-edu-config.lintian-overrides:
    - Add 'uses-dpkg-database-directly' entry for etc/cron.d/debian-edu-config.
  * Fix spelling error in previous changelog entry (XFCE -> Xfce).

 -- Holger Levsen <holger@debian.org>  Thu, 29 Nov 2018 15:51:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,3 @@
 		--help-option="-h" \
 		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-createuser-krb5 \
 		> debian/debian-edu-config/usr/share/man/man1/ldap-createuser-krb5.1
-
-override_dh_gconf:
-	dh_gconf  --priority=50

## debian-edu-config 2.10.50

=== Makefile ===
--- 
+++ 
@@ -99,8 +99,7 @@
 	php/apache2/php-debian-edu.ini \
 	insserv/overrides/ntp \
 	ldap/rootDSE-debian-edu.ldif \
-	ldap/slapd-squeeze_debian-edu.conf \
-	ldap/ssl/slapd-cert.cnf \
+	ldap/slapd-debian-edu.conf \
 	ltsp/ltsp-build-client.conf \
 	network/if-up.d/hostname \
 	network/if-up.d/wpad-proxy-update \
@@ -214,7 +213,6 @@
 	ldap-createuser-krb5 \
 	ldap2netgroup \
 	ldap-debian-edu-install \
-	mkslapdcert \
 	sitesummary2ldapdhcp
 
 WWWFILES = \
@@ -341,6 +339,8 @@
 		share/debian-edu-config/tools/ldap-server-getcert \
 		share/debian-edu-config/tools/exim4-create-environment \
 		share/debian-edu-config/tools/edu-ldap-from-scratch \
+		share/debian-edu-config/tools/create-user-nssdb \
+		share/debian-edu-config/tools/copy-host-keytab \
 		share/debian-edu-config/ltspfs-mounter-kde \
 		share/debian-edu-config/squid.resolvconf \
 		share/ltsp/get-ldap-ltsp-config \
@@ -374,4 +374,3 @@
 
 	set -e ; for f in \
 		share/debian-edu-config/rsyslog-collector \
-		share/debian-edu-config/firefox-networked-prefs.js \

=== debian/changelog ===
debian-edu-config (2.10.50) unstable; urgency=medium

  [ Mike Gabriel ]
  * etc/shutdown-at-night/clients-generator: Support recent output
    of ifconfig (where the MAC address comes in the second row of
    one's interface output and is prefixed by "^ether ...".

  [ Wolfgang Schweer ]
  * Generate slapd certificate the same way as all other server certificates.
    - Extend server certificate configuration to include ldap as well.
    - Drop now obsolete slapd-cert.cnf configuration file.
    - Drop tool mkslapdcert now that all server certificates are generated
      in one place.
    - Rename ldap/slapd-squeeze_debian-edu.conf -> ldap/slapd-debian-edu.conf
    - Adjust related files and tools:
      + init script debian/debian-edu-config.fetch-ldap-cert
      + cfengine configuration files cf3/cf.{ldapserver,ldapclient}
      + share/debian-edu-config/tools/{create-debian-edu-certs,update-cert-dbs}
      + debian/debian-edu-config.postinst
      + Makefile
  * cf3/edu.cf: Don't fail in case squid failed to initialize within d-i;
    update related comment.
  * Use FQDN (www.intern) as server name in Apache configuration files.
  * Remove start related parts from init scripts configuration as these are no
    longer supported (actually: since quite some time).

 -- Holger Levsen <holger@debian.org>  Thu, 13 Dec 2018 14:09:15 +0100

## debian-edu-config 2.10.51

=== Makefile ===
--- 
+++ 
@@ -78,6 +78,7 @@
 	X11/Xsession.d/06debian-edu-firefox-ltsp \
 	X11/Xsession.d/09debian-edu-missing-home \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
+	X11/Xsession.d/55lightdm_gtk-greeter-rc \
 	debian-edu/nightkill.conf \
 	debian-edu/pxeinstall.conf \
 	default/munin-node \
@@ -341,6 +342,7 @@
 		share/debian-edu-config/tools/edu-ldap-from-scratch \
 		share/debian-edu-config/tools/create-user-nssdb \
 		share/debian-edu-config/tools/copy-host-keytab \
+		share/debian-edu-config/tools/improve-desktop-l10n \
 		share/debian-edu-config/ltspfs-mounter-kde \
 		share/debian-edu-config/squid.resolvconf \
 		share/ltsp/get-ldap-ltsp-config \
@@ -370,7 +372,3 @@
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
-	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
-
-	set -e ; for f in \
-		share/debian-edu-config/rsyslog-collector \

=== debian/changelog ===
debian-edu-config (2.10.51) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add components for a more flexible and improved desktop localization.
    - share/debian-edu-config/lightdm-gtk-greeter.conf:
      + Enable language chooser in the lightdm panel.
    - etc/X11/Xsession.d/55lightdm_gtk-greeter-rc:
      + Create environment variables, needed to let the chosen language take
        effect everywhere.
    - share/debian-edu-config/tools/improve-desktop-l10n:
      + Evaluate configured locales and install related localization packages.
  * Add class definition to cf3/edu.cf to be able to conditionally configure
    the lightdm-gtk-greeter.
  * Adjust Makefile and cf3/finalize to reflect the changes.

 -- Holger Levsen <holger@debian.org>  Thu, 20 Dec 2018 10:19:28 +0100

debian-edu-config (1.428) unstable; urgency=l

## debian-edu-config 2.10.52

=== debian/changelog ===
debian-edu-config (2.10.52) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Final step for the improved desktop localization.
    - Add share/debian-edu-config/tools/install-task-pkgs. The tool makes sure
      that a localized Debian Edu desktop based upon a vanilla Debian one is
      available. The improved localization will allow to remove all lang-*
      packages from src:debian-edu and to cleanup the desktop-* packages.
    - Adjust cfengine setup (cf3/cf.finalize): call the install-task-pkgs tool.
  * Rework LTSP client setup configuration now that official Debian ISO images
     are available and bugs have been fixed (mostly thanks to ltsp 5.18.12-1).
    - Drop no longer needed plugins (workarounds):
      + share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection
      + share/ltsp/plugins/ltsp-build-client/Debian-custom/011-http-nopipeline
      + share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source
      + share/ltsp/plugins/ltsp-build-client/Debian-custom/095-squashfs-image
    - Adjust etc/ltsp/ltsp-build-client.conf to match ltsp 5.18.12-1 settings.
  * Adjust Makefile to reflect the changes.

  [ Holger Levsen ]
  * Bump standards version to 4.3.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 26 Dec 2018 14:18:53 +0100

## debian-edu-config 2.10.53

=== Makefile ===
--- 
+++ 
@@ -343,6 +343,7 @@
 		share/debian-edu-config/tools/create-user-nssdb \
 		share/debian-edu-config/tools/copy-host-keytab \
 		share/debian-edu-config/tools/improve-desktop-l10n \
+		share/debian-edu-config/tools/install-task-pkgs \
 		share/debian-edu-config/ltspfs-mounter-kde \
 		share/debian-edu-config/squid.resolvconf \
 		share/ltsp/get-ldap-ltsp-config \
@@ -360,15 +361,18 @@
 	done
 
 	set -e ; for f in \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/001-ltsp-settings \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/011-http-nopipeline \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/095-squashfs-image \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/098-etckeeper \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
+	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
+
+	set -e ; for f in \
+		share/debian-edu-config/rsyslog-collector \
+		share/debian-edu-config/firefox-networked-prefs.js \
+		share/debian-edu-config/squid.conf \
+		share/debian-edu-config/ssl.cnf \

=== debian/changelog ===
debian-edu-config (2.10.53) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Some amendments.
    - debian/debian-edu-config.postinst: Don't run the cert tool inside d-i; the
      installation will break because requisites are not yet ready.
    - share/debian-edu-config/tools/install-task-pkgs: Drop superfluous last
      apt call; the task-desktop package gets already installed before.
    - share/debian-edu-config/tools/improve-desktop-l10n: Fix special case en;
      thunderbird-l10n-en-gb exists, but thunderbird-l10n-en doesn't.

 -- Holger Levsen <holger@debian.org>  Mon, 31 Dec 2018 12:33:26 +0100

## debian-edu-config 2.10.54

=== debian/changelog ===
debian-edu-config (2.10.54) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix NTP setup for profile 'Standalone'.
    - cf3/cf.ntp: Don't disable timesyncd on standalone systems.
  * Improve the script used by the src:debian-edu autopkg test.
    - share/debian-edu-config/tools/debian-edu-bless:
      Add the '-I' parameter to let cf-agent output more information.
      Prevent the script from exiting if the last etckeeper call should fail.
      Thanks to Holger Levsen for the hint.
  * Improve menu reorder setup.
    - Move code for the Standalone profile from cf3/cf.homes to cf3/cf.finalize
      as a better place.
    - Make sure the menus are reordered in each installation scenario case.
    - Adjust cf3/promises.cf to reflect the change.
  * Rework LDAP client configuration now that nslcd preseeding is working.
    - Add share/debian-edu-config/sudo-ldap.conf file to provide the last bit
      of information for clients (besides those contained in nslcd.conf).
    - Adjust cf3/cf.ldapclient accordingly.
    - Adjust Makefile.

 -- Holger Levsen <holger@debian.org>  Wed, 09 Jan 2019 15:43:59 +0100

## debian-edu-config 2.10.55

=== debian/changelog ===
debian-edu-config (2.10.55) unstable; urgency=medium

  [ Dominik George ]
  * update-cert-dbs: Check user existence.

 -- Holger Levsen <holger@debian.org>  Tue, 15 Jan 2019 15:54:12 +0100
